<template>
      <div class="ranking-card">
        <TitleShape :title="category.title" class="md" />
        <b-table striped hover :fields="fields" :items="category.rankings">
            <template #cell(position)="row">
               #{{row.index+1}}
            </template>
        </b-table>
      </div>
</template>

<script>
import TitleShape from "@/components/TitleShape.vue";
export default {
  name: "RankingCard",
  props: ["category"],
  components:{TitleShape},
  data() {
      return {
      fields: ['position', { key: 'user.name', label: 'Usuario' },{ key: 'score', label: 'Puntuación'}]}
  }
};
</script>

<style lang="scss">
@import "@/assets/custom-vars.scss";
</style>